# fpl-utils-angular
Helpful utilities for working within AngularJS.

## Installation ##

    bower install --save fpl-utils-angular

## New Version & Owner
Ownership has been transferred to [MEAN Factory](http://www.meanfactory.com) and is available under their [mf-utils-angular](https://github.com/MEANFactory/mf-utils-angular) package.

**No updates will be made to this project.  Please replace all instances with the new version from [MEAN Factory](http://www.meanfactory.com).**





-----

## Other Projects ##


### NodeJS ###

#### [fpl-utils-node](https://github.com/FredLackey/fpl-utils-node) ####
Helpful utilities for use with NodeJS.


### Node / Mongoose Projects ###

#### [fpl-mongoose-audittrail](https://github.com/FredLackey/fpl-mongoose-audittrail) ####
Track who and when documents are created and updated without complex programming.  Compare and contract different versions of each document.

#### [fpl-mongoose-dto](https://github.com/FredLackey/fpl-mongoose-dto) ####
Convert to/from JSON DTO while applying optional level-based hiding.

#### [fpl-mongoose-softdelete](https://github.com/FredLackey/fpl-mongoose-softdelete) ####
Increase data integrity by retaining historical data and preventing data from being permanently deleted.  Each `delete` operation causes the document to be marked as "deleted" and subsequently hidden from result sets.

#### [fpl-mongoose-validate](https://github.com/FredLackey/fpl-mongoose-validate) ####
Provides additional validation for extended data types, field lengths, arrays, and other useful features.

And, for convenience...

#### [fpl-mongoose-plugins](https://github.com/FredLackey/fpl-mongoose-plugins) ####
Helper project to instantiate any of the installed `fpl-mongoose` plugins.


-----



## Contact Information ##
MEAN Factory  
[support@meanfactory.com](mailto:support@meanfactory.com)  
[www.MEANFactory.com](http://www.meanfactory.com)  


## Original Author ##
Fred Lackey  
[fred.lackey@gmail.com](mailto:fred.lackey@gmail.com)  
[www.fredlackey.com](http://www.fredlackey.com)  
